Subject: Re: Breaking up repositories

From: Andy Parkins <[email-masked]>
Date: Fri, 1 Jun 2007 08:45:45 +0100

On Thursday 2007 May 31, Josh Triplett wrote:

> We really need to fix some things in git-split and get it merged into git.

Obviously it's Junio's call, but can I suggest that getting it in the git tree 
(presumably under contrib/) should not be dependent on fixing 
whatever "things" you are worrying about?  Waiting until it's perfect before 
submitting it.  As Voltaire said (I think), "better is the enemy of good".

Speaking from my own personal viewpoint, while I'm not a huge contributor to 
git, I do fix the odd buglet here and there - and here's the rub - I only do 
it to those files that are in the git tree.

While git-split is being maintained separately, I would argue that there are 
less eyes on it.  Get it in, regardless of state, at the very least it will 
mean that git-split's development will be tracked as publicly as git.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]